" Vim syntax file
" Language: IRC log (irssi)

if exists("b:current_syntax")
	finish
endif

syn match beglineTime '^[0-9:]\+' nextgroup=nick skipwhite display 
syn match nick '<[!@+ ][^>]\+>' display
syn match datechange '^--- .*$' display

let b:current_syntax = "irclog"

hi def link beglineTime Constant
hi def link nick Type
hi def link datechange Todo
